// var path = require('path');
// module.exports = {
//   entry: './src/index.js',
//   output: {
//     path: path.resolve(__dirname, 'build'),
//     filename: 'index.js',
//     libraryTarget: 'commonjs2' // THIS IS THE MOST IMPORTANT LINE! :mindblow: I wasted more than 2 days until realize this was the line most important in all this guide.
//   },
//   module: {
//     rules: [
//       {
//         test: /\.js$/,
//         include: path.resolve(__dirname, 'src'),
//         exclude: /(node_modules|bower_components|build)/,
//         use: {
//           loader: 'babel-loader',
//           options: {
//             presets: ['env']
//           }
//         }
//       }
//       ,
//       {
//           test: /\.css$/,
//           include: path.resolve(__dirname, 'src', 'styles'),
//           exclude: /(node_modules|bower_components|build)/,
//           use: [
//               { loader: "style-loader" },
//               { loader: "css-loader" }
//           ]
//       }
//     ]
//   },
//   externals: {
//     'react': 'commonjs react' // this line is just to use the React dependency of our parent-testing-project instead of using our own React.
//   }
// };





var path = require('path');
var webpack = require('webpack');

const ExtractTextPlugin = require("extract-text-webpack-plugin");
module.exports = {
    entry: './src/index.js',
    output: {
        path: path.resolve(__dirname, 'build'),
        filename: 'index.js',
        libraryTarget: 'commonjs2' // THIS IS THE MOST IMPORTANT LINE! :mindblow: I wasted more than 2 days until realize this was the line most important in all this guide.
    },
    module: {
        rules: [
            {
                test: /\.js$/,
                include: path.resolve(__dirname, 'src'),
                exclude: /(node_modules|bower_components|build)/,
                use: {
                    loader: 'babel-loader',
                    options: {
                        presets: ['env']
                    }
                }
            },
            {
                test: /\.css$/,
                include: path.resolve(__dirname, 'src', 'styles'),
                exclude: /(node_modules|bower_components|build)/,
                use: [
                    {
                      loader: "style-loader",
                      options: {
                        hmr: false
                      }
                    },
                    { loader: "css-loader" }
                ]
            }
            // ,
            // {
            //   test: /\.css$/,
            //   use: ExtractTextPlugin.extract({ fallback: 'style-loader', use: [ 'css-loader' ] })
            // }
        ]
    },
    externals: {
        'react': 'commonjs react' // this line is just to use the React dependency of our parent-testing-project instead of using our own React.
    },
    plugins: [
        new ExtractTextPlugin("react-table.css"),
        new webpack.DefinePlugin({
            // A common mistake is not stringifying the "production" string.
            'process.env.NODE_ENV': JSON.stringify('production')
        }),
        new webpack.optimize.UglifyJsPlugin({
            compress: {
                warnings: false
            }
        })
    ]
};
